Public Attributes | List of all members
iso_set_per_adv_sync_tran_param_t Struct Reference
BLE » Core Isochronous Channels » Structures

The parameter for setting adv sync transport parameter. More...

`#include <ble_iso.h>`

## Public Attributes
uint16_t | conn_hdl
| Connection handle of the ACL, (Range: 0x0000 to 0x0EFF). More...
uint8_t | mode
| the action to be taken when periodic advertising synchronization information is received, see iso_sync_mode_t. More...
uint16_t | skip
| The number of periodic advertising packets that can be skipped after a successful receive, (Range: 0x0000 to 0x01F3). More...
uint16_t | sync_timeout
| Synchronization timeout for the periodic advertising,(Range: 0x000A to 0x4000). More...
uint8_t | cte_type
| specifies whether to only synchronize to periodic advertising with certain types of Constant Tone Extension, see iso_cte_type_t. More...

## Detailed Description

The parameter for setting adv sync transport parameter.

Definition at line 371 of file ble_iso.h.

## Member Data Documentation

## ◆ conn_hdl

uint16_t iso_set_per_adv_sync_tran_param_t::conn_hdl

Connection handle of the ACL, (Range: 0x0000 to 0x0EFF).

Definition at line 373 of file ble_iso.h.

## ◆ cte_type

uint8_t iso_set_per_adv_sync_tran_param_t::cte_type

specifies whether to only synchronize to periodic advertising with certain types of Constant Tone Extension, see iso_cte_type_t.

Definition at line 377 of file ble_iso.h.

## ◆ mode

uint8_t iso_set_per_adv_sync_tran_param_t::mode

the action to be taken when periodic advertising synchronization information is received, see iso_sync_mode_t.

Definition at line 374 of file ble_iso.h.

## ◆ skip

uint16_t iso_set_per_adv_sync_tran_param_t::skip

The number of periodic advertising packets that can be skipped after a successful receive, (Range: 0x0000 to 0x01F3).

Definition at line 375 of file ble_iso.h.

## ◆ sync_timeout

uint16_t iso_set_per_adv_sync_tran_param_t::sync_timeout

Synchronization timeout for the periodic advertising,(Range: 0x000A to 0x4000).

Time = N*10 ms, Time Range: 100 ms to 163.84 s

Definition at line 376 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h